I use Sketchup to download and modify ship models from the warehouse, then add them into Google Earth in order to create a visual representation of shipping incidents.
When geo-referencing the vessel the coordinates need to be at the location of the GPS receiver. Is there any way to move the Z-axis / rotation point in the model? That way I can type the exact coordinates when placing the model and be sure the position is accurate.
When creating a new component you can use the Set Component Axes button to change this.
For an an already existing component,… Get into the component edit mode, and right click on one of the axis directions. doing so will bring up a context menu where you can experiment with the Move, and Place command, and see how those fit your goals here.
The Move command in particular might b to your liking since it has a value control panel where you can enter in a specific shift in position,… via the X, Y, Z, fields.
Having looked at it all morning I think the issue is actually with the exported .dae file. It loads into Google Earth and has a little diamond to grab that rotates the model around the center. I’m trying to move that rotation point to a specific location in the model.
I was hoping that changing the axis in sketchup was the solution but that doesn’t seem to be the case.
To be clear, you changed the “drawing axes” with the AxesTool and saw no effect externally in Google Earth ?
If the above is true, you need to be aware that the “drawing axes” is a UCS (user coordinate system) that does not actually change the model origin and axes. (Right-clicking the drawing axes brings up a context menu that has a Reset command that will set the axes back to match the model’s axes.)
You can rotate the model in SketchUp by changing the NorthAngle. By default the Y-axis points North. But this can be changed. Trimble has a Pro plugin called "Solar North". (Get it at the Extension Warehouse.)
If you do not have Pro, then Jim Foltz posted a cute little utility here …
Google Earth (and the KMZ / DAE export) I believe uses an Attribute Dictionary named "GeoReference".
Sometimes it’s necessary for you to tweak it. So you’ll need Aerilius’ Attribute Inspector plugin.
(Get it at the Extension Warehouse.)
You can move the model’s center point to the model’s Z_AXIS (directly above the ORIGIN,)
via the Ruby Console, by entering these 3 4 statements (on 3 lines) …
model = Sketchup.active_model
pt = model.bounds.center; pt.z= 0.0
model.entities.transform_entities(pt.vector_to(ORIGIN),model.entities.to_a)